#include <bits/stdc++.h>
using namespace std;

int niz[100005];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin>>n;
    cin>>m;

    for(int i = 0 ; i < n; i++)
        cin>>niz[i];

    int sum = 0;
    int prvi, drugi;

    for(int i = 0; i < m; i++){
        cin>>prvi>>drugi;
        sum += abs(niz[prvi-1] + niz[drugi-1]);
    }

    cout<<sum<<"\n";

    return 0;
}